<?php
$DEBUG=0;
$serie=20;
$ent="Modèle <img src='../img/fleche_droite.png' align='bottom'  border='0'> ";
$edition="";
$fiche="";
$table="modeleelement";
$tri= " order by libmodele";
$selection=" where nature ='$nat'";
//
switch ($nat) {
case "cartemere":
  $ent.="Carte mère";
  $ico="../img/cartemere.png";
  $champAffiche=array("idmodele as id","libmodele","connecteur","nbpci","nbpcie","nbagp");
  $champRecherche=array("libmodele","connecteur");
  break;
case "cartereseau":
  $ent.="Carte réseau";
  $ico="../img/reseau.png";
  $champAffiche=array("idmodele as id","libmodele","typecomp as Type","vitesse","connecteur");
  $champRecherche=array("libmodele");
  break;
case "carteson":
  $ent.="Carte son";
  $ico="../img/son.png";
  $champAffiche=array("idmodele as id","libmodele","integre");
  $champRecherche=array("libmodele");
  break;
case "cartevideo":
  $ent.="Carte video";
  $ico="../img/video.png";
  $champAffiche=array("idmodele as id","libmodele","taille as capacité","connecteur");
  $champRecherche=array("libmodele","connecteur","taille");
  break;
case "disquedur":
  $ent.="Disque Dur";
  $ico="../img/disquedur.png";
  $champAffiche=array("idmodele as id","libmodele","taille","vitesse as RPM","connecteur","format");
  $champRecherche=array("libmodele","connecteur","taille");
  break;
case "floppy":
  $ent.="Floppy";
  $ico="../img/floppy.png";
  $champAffiche=array("idmodele as id","libmodele");
  $champRecherche=array("libmodele");
  break;
case "lecteuroptique":
  $ent.="Lecteur/graveur optique";
  $ico="../img/cddvd.png";
  $champAffiche=array("idmodele as id","libmodele","typecomp as TypeLecteur","vitesse");
  $champRecherche=array("libmodele","typecomp");
  break;
case "memoire":
  $ent.="Mémoire";
  $ico="../img/memoire.png";
  $champAffiche=array("idmodele as id","libmodele","frequence","typecomp","taille as capacite");
  $champRecherche=array("libmodele","connecteur","frequence");
  break;
case "processeur":
  $ent.="Processeur";
  $ico="../img/processeur.png";
  $champAffiche=array("idmodele as id","libmodele","connecteur","frequence","vitesse as bus","taille as Cache_L1","nbbank as Cache_L2");
  $champRecherche=array("libmodele","connecteur","frequence");
}  
// sous formulaire
$sousformulaire=array("station","stationrebut");
$sousformulaire_class="sousformulaire"; // dans cg => voir customs ???
$soustab="onglet";
?>